<?php
   class clsTdoc extends BDConexion
   {
     function clsTdoc()
     {
       $this->conectar();
     }
     function getTdoc()
     {
       $ssql="select idtipodoc,tddesc ";
       $ssql.=" From tipodoc ";       
       return $this->BDConsulta($ssql);
     }
	 function getNumTra()
     {
       $ssql="select campo,valor ";
       $ssql.=" From parametro where campo='numtramite'";       
       return $this->BDConsulta($ssql);
     }
	 function devuelveNumTra($numtra)
     {
       $ssql="select idtradoc ";
       $ssql.=" From tradoc where numtra=$numtra";       
       return $this->BDConsulta($ssql);
     }
	 function devuelveDoc($idtradoc)
     {
       $ssql="select iddocdigital,docdigital ";
       $ssql.=" From docdigital where idtradoc=$idtradoc";       
       return $this->BDConsulta($ssql);
     }
	 function devuelveEstado($iddtradoc)
     {
       $ssql="select iddtradoc,estado ";
       $ssql.=" From detalletradoc where iddtradoc=$iddtradoc";       
       return $this->BDConsulta($ssql);
     }
	 function ListarDocInt($idtradoc,$origendoc,$para)
     {
       $ssql="select dt.iddtradoc,td.idtradoc,td.numtra,td.prioridad,td.confidencial,td.asunto,td.numdoc,dt.de,dt.estado,tp.tddesc,dt.fechae,td.numfolios,td.obser ";
       $ssql.=" From tradoc as td,detalletradoc as dt,tipodoc as tp,asigna_tdoc as ad where td.idtradoc=dt.idtradoc and ad.idatdoc=td.idatdoc and tp.idtipodoc=ad.idtdoc and td.idtradoc=$idtradoc and td.origendoc='$origendoc' and dt.para='$para'";       
       return $this->BDConsulta($ssql);
     }
	 function ListarDocEmitidos($tipotradoc,$origendoc,$de,$idatdoc)
     {
       $ssql="select dt.iddtradoc,td.idtradoc,td.numtra,td.prioridad,td.confidencial,td.asunto,td.numdoc,dt.de,dt.estado,tp.tddesc,dt.fechae,td.numfolios,td.obser ";
       $ssql.=" From tradoc as td,detalletradoc as dt,tipodoc as tp,asigna_tdoc as ad where td.idtradoc=dt.idtradoc and ad.idatdoc=td.idatdoc and tp.idtipodoc=ad.idtdoc and ad.idatdoc=$idatdoc and td.tipotradoc='$tipotradoc' and td.origendoc='$origendoc' and dt.de='$de' group by td.numtra";       
       return $this->BDConsulta($ssql);
     }
	 function ListarDocEmitidosPag($tipotradoc,$origendoc,$de,$idatdoc,$regini,$regxpag)
     {
       $ssql="select dt.iddtradoc,td.idtradoc,td.numtra,td.prioridad,td.confidencial,td.asunto,td.numdoc,dt.de,dt.estado,tp.tddesc,dt.fechae,td.numfolios,td.obser ";
       $ssql.=" From tradoc as td,detalletradoc as dt,tipodoc as tp,asigna_tdoc as ad where td.idtradoc=dt.idtradoc and ad.idatdoc=td.idatdoc and tp.idtipodoc=ad.idtdoc and ad.idatdoc=$idatdoc and td.tipotradoc='$tipotradoc' and td.origendoc='$origendoc' and dt.de='$de' group by td.numtra limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function ListarDocEmitidosT($tipotradoc,$origendoc,$de,$idatdoc)
     {
       $ssql="select dt.iddtradoc,td.idtradoc,td.numtra,td.prioridad,td.confidencial,td.asunto,td.numdoc,dt.de,dt.estado,tp.tddesc,dt.fechae,td.numfolios,td.obser ";
       $ssql.=" From tradoc as td,detalletradoc as dt,tipodoc as tp,asigna_tdoc as ad where td.idtradoc=dt.idtradoc and ad.idatdoc=td.idatdoc and tp.idtipodoc=ad.idtdoc and ad.idatdoc=$idatdoc and td.tipotradoc='$tipotradoc' and td.origendoc='$origendoc' and dt.de='$de' group by td.numtra ";       
       return $this->BDConsulta($ssql);
     }
	 function ListarTodosDocInt($origendoc,$para)
     {
       $ssql="select dt.iddtradoc,td.idtradoc,td.numtra,td.numdoc,dt.de,tp.tddesc,dt.fechae,dt.estado ";
       $ssql.=" From tradoc as td,detalletradoc as dt,tipodoc as tp,asigna_tdoc as ad where td.idtradoc=dt.idtradoc and ad.idatdoc=td.idatdoc and tp.idtipodoc=ad.idtdoc and td.origendoc='$origendoc' and dt.para='$para'";       
       return $this->BDConsulta($ssql);
     }
	 function ListarTodosDocIntPag($origendoc,$para,$regini,$regxpag)
     {
       $ssql="select dt.iddtradoc,td.idtradoc,td.numtra,td.numdoc,dt.de,tp.tddesc,dt.fechae,dt.estado ";
       $ssql.=" From tradoc as td,detalletradoc as dt,tipodoc as tp,asigna_tdoc as ad where td.idtradoc=dt.idtradoc and ad.idatdoc=td.idatdoc and tp.idtipodoc=ad.idtdoc and td.origendoc='$origendoc' and dt.para='$para'  limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function ListarTodosDocIntT($origendoc,$para)
     {
       $ssql="select dt.iddtradoc,td.idtradoc,td.numtra,td.numdoc,dt.de,tp.tddesc,dt.fechae,dt.estado ";
       $ssql.=" From tradoc as td,detalletradoc as dt,tipodoc as tp,asigna_tdoc as ad where td.idtradoc=dt.idtradoc and ad.idatdoc=td.idatdoc and tp.idtipodoc=ad.idtdoc and td.origendoc='$origendoc' and dt.para='$para'  ";       
       return $this->BDConsulta($ssql);
     }
	 function devuelveExistencia($origendoc,$tipotradoc,$para)
     {
       $ssql="select dt.iddtradoc,td.idtradoc,td.numtra,td.numdoc,td.tipo,dt.de,dt.fechar,dt.estado ";
       $ssql.=" From tradoc as td,detalletradoc as dt where td.idtradoc=dt.idtradoc and td.origendoc='$origendoc' and dt.para='$para' and td.tipotradoc='$tipotradoc'  ";       
	   
       return $this->BDConsulta($ssql);
     }
	 function devuelveExistenciaV($origendoc,$tipotradoc,$para,$regini,$regxpag)
     {
       $ssql="select dt.iddtradoc,td.idtradoc,td.numtra,td.numdoc,td.tipo,dt.de,dt.fechar,dt.fechae,dt.estado ";
       $ssql.=" From tradoc as td,detalletradoc as dt where td.idtradoc=dt.idtradoc and td.origendoc='$origendoc' and dt.para='$para' and td.tipotradoc='$tipotradoc' limit $regini,$regxpag ";       
	   
       return $this->BDConsulta($ssql);
     }
	 function devuelveExistenciaT($origendoc,$tipotradoc,$para)
     {
       $ssql="select dt.iddtradoc,td.idtradoc,td.numtra,td.numdoc,td.tipo,dt.de,dt.fechar,dt.estado ";
       $ssql.=" From tradoc as td,detalletradoc as dt where td.idtradoc=dt.idtradoc and td.origendoc='$origendoc' and dt.para='$para' and td.tipotradoc='$tipotradoc' ";       
	   
       return $this->BDConsulta($ssql);
     }
	 function devuelveExistencias($numtra,$origendoc,$tipotradoc,$para)
     {
       $ssql="select dt.iddtradoc,td.idtradoc,td.numtra,td.numdoc,td.tipo,dt.de,dt.fechar,dt.estado ";
       $ssql.=" From tradoc as td,detalletradoc as dt where td.idtradoc=dt.idtradoc and td.origendoc='$origendoc' and dt.para='$para' and td.tipotradoc='$tipotradoc' and td.numtra=$numtra";       
       return $this->BDConsulta($ssql);
     }
	 function getTdocAsigna()
     {
       $ssql="select ad.idatdoc,td.tddesc ";
       $ssql.=" From asigna_tdoc as ad,areas as a,tipodoc as td where ad.idtdoc=td.idtipodoc and ad.idarea=a.idarea and ad.idarea=".$_SESSION['areaId'];       
       return $this->BDConsulta($ssql);
     }
	 function getGlosadoc($idatdoc)
     {
       $ssql="select ad.periodo,ad.correlativo,a.areaglosa,td.tddesc ";
       $ssql.=" From asigna_tdoc as ad,areas as a,tipodoc as td where ad.idtdoc=td.idtipodoc and ad.idarea=a.idarea and ad.idatdoc=".$idatdoc;       
       return $this->BDConsulta($ssql);
     }
     function getTdoccod($idtdoc)
     {
       $ssql="select idtipodoc,tddesc ";
       $ssql.=" From tipodoc where idtipodoc=".$idtdoc;       
       return $this->BDConsulta($ssql);
     }
     function getCboTdoc($tdocId)
     {
       $lista="";
       $resultado=$this->getTdoc();
       while($filas=$this->NextRow($resultado))
       {
         if($tdocId==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[1]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[1]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboTdocAsigna($idatdoc)
     {
       $lista="";
       $resultado=$this->getTdocAsigna();
       while($filas=$this->NextRow($resultado))
       {
         if($idatdoc==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[1]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[1]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
     function getUsuarioId($login,$clave)
     {
       $ssql="select idusuario from Usuario where login='".$login."' and clave='".$clave."' ";
       $resultado=$this->BDConsulta($ssql);
       if($filas=$this->NextRow($resultado))
           $idusuario=$filas[0];
       else
           $idusuario=0;
       $this->Liberar($resultado);
       return $idusuario;
     }
     function getUsuarioLogueo($idusuario)
     {
       $ssql="select nombres,apellidos,idarea ";
       $ssql.=" From Usuario Where idusuario=".$idusuario;
       return $this->BDConsulta($ssql);
     }
	 
	 function getMenuGrupo($idusuario)
     {
       $ssql="select menugrupo.nommenugrupo, menugrupo.idmenugrupo, menugrupo.archivo ";
       $ssql.=" From menu, permiso, menugrupo Where menu.idmenugrupo= menugrupo.idmenugrupo AND permiso.idmenu = menu.idmenu AND permiso.idusuario=".$idusuario." GROUP BY menugrupo.nommenugrupo, menugrupo.idmenugrupo";
       return $this->BDConsulta($ssql);
     }
	 
	 function getMenuItems($idmenugrupo,$idusuario)
     {
       $ssql="select menu.nommenu, menu.archivo, permiso.idmenu, menu.imgmenu ";
       $ssql.=" From menu, permiso Where menu.idmenugrupo=".$idmenugrupo." AND permiso.idmenu = menu.idmenu AND permiso.idusuario =".$idusuario." ORDER BY orden";
       return $this->BDConsulta($ssql);
     }
	 function registrarTdoc($tdcod,$tddesc)
     {
      $ssql="Insert Into tipodoc(tdcod,tddesc) values('$tdcod','$tddesc')";
       $this->BDConsulta($ssql);       
     }
	                            //$numtra,$numdoc,$prioridad,$confidencial,$asunto,$estado,$fechas,$horar,$numfolios,$obser,$origendoc,$tipotradoc,$tipo
	 function registrarTradocEx($numtra,$numdoc,$prioridad,$confidencial,$asunto,$estado,$fecha,$hora,$numfolios,$obser,$origendoc,$tipotradoc,$tipo)
     {
       $ssql="Insert Into tradoc(numtra,numdoc,prioridad,confidencial,asunto,estado,fecha,hora,numfolios,obser,origendoc,tipotradoc,tipo) values($numtra,'$numdoc','$prioridad','$confidencial','$asunto','$estado','$fecha','$hora',$numfolios,'$obser','$origendoc','$tipotradoc','$tipo')";
       $this->BDConsulta($ssql); 	   
	   $id=$this->UltimoId();
	   return $id; 
     }
	 function registrarTradoc($numtra,$numdoc,$idatdoc,$prioridad,$confidencial,$asunto,$estado,$fecha,$hora,$numfolios,$obser,$origendoc,$tipotradoc)
     {
       $ssql="Insert Into tradoc(numtra,numdoc,idatdoc,prioridad,confidencial,asunto,estado,fecha,hora,numfolios,obser,origendoc,tipotradoc) values($numtra,'$numdoc',$idatdoc,'$prioridad','$confidencial','$asunto','$estado','$fecha','$hora',$numfolios,'$obser','$origendoc','$tipotradoc')";
       $this->BDConsulta($ssql); 	   
	   $id=$this->UltimoId();
	   return $id; 
     }
	 function registrarDetTradoc($idtradoc,$de,$para,$tipotradoc,$prioridad,$estado,$idaccion,$fechae)
     {
       $ssql="Insert Into detalletradoc(idtradoc,de,para,tipotradoc,prioridad,estado,idaccion,fechae) values($idtradoc,'$de','$para','$tipotradoc','$prioridad','$estado',$idaccion,'$fechae')";
       $this->BDConsulta($ssql);       
     }
	 function registrarDetTradocEx($idtradoc,$de,$para,$tipotradoc,$prioridad,$estado,$fechar,$horar)
     {
       $ssql="Insert Into detalletradoc(idtradoc,de,para,tipotradoc,prioridad,estado,fechar,horar) values($idtradoc,'$de','$para','$tipotradoc','$prioridad','$estado','$fechar','$horar')";
       $this->BDConsulta($ssql);       
     }
	 function registrarDocDigital($idtradoc,$docdigital)
     {
       $ssql="Insert Into docdigital(idtradoc,docdigital) values($idtradoc,'$docdigital')";
       $this->BDConsulta($ssql);       
     }
	 function UpdateAsigTradoc($idatdoc,$correlativo)
     {      
	   $ssql= " Update asigna_tdoc set correlativo=$correlativo+1 ";
       $ssql.=" Where idatdoc=$idatdoc";
       $this->BDConsulta($ssql);       
     }
	 function UpdateParametro($campo,$valor)
     {      
	   $ssql= " Update parametro set valor=$valor+1 ";
       $ssql.=" Where campo='$campo'";
       $this->BDConsulta($ssql);       
     }
	 function UpdateDetalleTraDoc($iddtradoc,$estado,$fechar,$horar)
     {      
	   $ssql= " Update detalletradoc set estado='$estado',fechar='$fechar',horar='$horar' ";
       $ssql.=" Where iddtradoc=$iddtradoc";
       $this->BDConsulta($ssql);       
     }
	 function registrarTdoccod($idarea,$idtdoc,$periodo,$correlativo)
     {
      $ssql="Insert Into asigna_tdoc(idarea,idtdoc,periodo,correlativo) values($idarea,$idtdoc,$periodo,$correlativo)";
       $this->BDConsulta($ssql);       
     }
	 function listarUsuarios()
     {
       $ssql="select idusuario,apellidos,nombres ";
       $ssql.=" From usuario ";       
       return $this->BDConsulta($ssql);
     }
	 function listarUsuarioss($Like)
     {
       $ssql="select cCursoId,vNombre ";
       $ssql.=" From Curso ";
       if($Like<>"") $ssql.=" Where vNombre Like '%".$Like."%' ";
       $ssql.=" Order by vNombre";
       return $this->BDConsulta($ssql);
     }
     function getNombreUsuarioXCarnet($Carnet)
     {
       $ssql="select vNombre,vApellidoPat,vApellidoMat ";
       $ssql.=" From Usuario Where cCarnet='".$Carnet."'";
       $resultado=$this->BDConsulta($ssql);
       $fila=$this->NextRow($resultado);
       $this->Liberar($resultado);
       $Nombre=$fila[0]." ".$fila[1]." ".$fila[2];
       return $Nombre;
     }
     function getNombreUsuarioXId($UsuarioId)
     {
       $ssql="select vNombre,vApellidoPat,vApellidoMat ";
       $ssql.=" From Usuario Where nUsuarioId=".$UsuarioId;
       $resultado=$this->BDConsulta($ssql);
       $fila=$this->NextRow($resultado);
       $this->Liberar($resultado);
       $Nombre=$fila[0]." ".$fila[1]." ".$fila[2];
       return $Nombre;
     }
     function getNombreAlumnoXTransaccion($TransaccionId)
     {
       $ssql="select U.vNombre,U.vApellidoPat,U.vApellidoMat ";
       $ssql.=" From Usuario as U,Transaccion as T ";
       $ssql.=" Where U.cCarnet=T.cCarnet and T.nTransaccionId=".$TransaccionId;
       $resultado=$this->BDConsulta($ssql);
       $fila=$this->NextRow($resultado);
       $this->Liberar($resultado);
       $Nombre=$fila[0]." ".$fila[1]." ".$fila[2];
       return $Nombre;
     }
       function TiposArea($vartipoArea,$val_area,$disabled=0){
		 $sql="Select * from areas_administrativas ORDER BY nom_area ASC ";
		 $result = $this->BDConsulta($sql);
		 $disabled = ($disabled) ? "disabled" : "";
		 $num = $this->totalrows($result);
		 echo "<select name=\"$vartipoArea\" size=\"1\" $disabled class='lblForm'>";
	     $i=1;
		 while($fila=$this->NextRow($result)){
			        $selected = "";
			   if ($fila[0] == $val_area) 
					 $selected = "selected";
					
					echo "<option $selected value=\"$fila[0]\">$fila[1]</option>";
					$i+=1;
			   }
			   echo "</select>";
				
	  }
	  
	   function TiposArea2($vartipoArea,$val_area,$disabled=0){
		 $sql="Select * from areas_administrativas ORDER BY nom_area ASC ";
		 $result = $this->BDConsulta($sql);
		 $disabled = ($disabled) ? "disabled" : "";
		 $num = $this->totalrows($result);
		 echo "<select name=\"$vartipoArea\" size=\"1\" $disabled class='lblForm' style='position:absolute; left:318px; top:60px; width:300px; height:19px; z-index:1'>";
	     $i=1;
		 while($fila=$this->NextRow($result)){
			        $selected = "";
			   if ($fila[0] == $val_area) 
					 $selected = "selected";
					
					echo "<option $selected value=\"$fila[0]\">$fila[1]</option>";
					$i+=1;
			   }
			   echo "</select>";
				
	  }
	    function TiposDocumento($vartipodoc,$val_doc,$disabled=0){
		 $sql="Select * from tipo_doc ORDER BY tipo_doc ASC ";
		 $result = $this->BDConsulta($sql);
		 $disabled = ($disabled) ? "disabled" : "";
		 $num = $this->totalrows($result);
		 echo "<select name=\"$vartipodoc\" size=\"1\" $disabled class='lblForm'>";
	     $i=1;
		 while($fila=$this->NextRow($result)){
			        $selected = "";
			   if ($fila[0] == $val_doc) 
					 $selected = "selected";
					
					echo "<option $selected value=\"$fila[0]\">$fila[1]</option>";
					$i+=1;
			   }
			   echo "</select>";
				
	  }
	 function TiposDocumento2($vartipodoc,$val_doc,$disabled=0){
		 $sql="Select * from tipo_doc ORDER BY tipo_doc ASC ";
		 $result = $this->BDConsulta($sql);
		 $disabled = ($disabled) ? "disabled" : "";
		 $num = $this->totalrows($result);
		 echo "<select name=\"$vartipodoc\" size=\"1\" $disabled class='lblForm' style='position:absolute; left:318px; top:60px; width:250px; height:19px; z-index:1'>";
	     $i=1;
		 while($fila=$this->NextRow($result)){
			        $selected = "";
			   if ($fila[0] == $val_doc) 
					 $selected = "selected";
					
					echo "<option $selected value=\"$fila[0]\">$fila[1]</option>";
					$i+=1;
			   }
			   echo "</select>";
				
	  }
	  
	  	function TiposEmpresa($vartipoEmp,$val_doc,$disabled=0){
		 $sql="Select * from empresas where activo_emp='1' ORDER BY razon_emp  ASC ";
		 $result = $this->BDConsulta($sql);
		 $disabled = ($disabled) ? "disabled" : "";
		 $num = $this->totalrows($result);
		 echo "<select name=\"$vartipoEmp\" size=\"1\" $disabled class='lblForm'>";
	     $i=1;
		 while($fila=$this->NextRow($result)){
			        $selected = "";
			   if ($fila[0] == $val_doc) 
					 $selected = "selected";
					
					echo "<option $selected value=\"$fila[0]\">$fila[1]</option>";
					$i+=1;
			   }
			   echo "</select>";
				
	  }
	  
	  function TiposEmpresa2($vartipoEmp,$val_doc,$disabled=0){
		 $sql="Select * from empresas where activo_emp='1' ORDER BY razon_emp  ASC ";
		 $result = $this->BDConsulta($sql);
		 $disabled = ($disabled) ? "disabled" : "";
		 $num = $this->totalrows($result);
		 echo "<select name=\"$vartipoEmp\" size=\"1\" $disabled class='lblForm' style='position:absolute; left:318px; top:60px; width:359px; height:19px; z-index:1'>";
	     $i=1;
		 while($fila=$this->NextRow($result)){
			        $selected = "";
			   if ($fila[0] == $val_doc) 
					 $selected = "selected";
					
					echo "<option $selected value=\"$fila[0]\">$fila[1]</option>";
					$i+=1;
			   }
			   echo "</select>";
				
	  }
	  
	  	function TiposRecepcionPer($vartipoRecepemp,$val_doc,$disabled=0){
		 $sql="Select * from recepcion_personal  ORDER BY nomb_recep  ASC ";
		 $result = $this->BDConsulta($sql);
		 $disabled = ($disabled) ? "disabled" : "";
		 $num = $this->totalrows($result);
		 echo "<select name=\"$vartipoRecepemp\" size=\"1\" $disabled class='lblForm'>";
	     $i=1;
		 while($fila=$this->NextRow($result)){
			        $selected = "";
			   if ($fila[0] == $val_doc) 
					 $selected = "selected";
					
					echo "<option $selected value=\"$fila[0]\">$fila[1]</option>";
					$i+=1;
			   }
			   echo "</select>";
				
	  }
	  
	  function TiposPais($vartipoPais,$val_doc,$disabled=0){
		 $sql="Select * from pais ORDER BY nom_pais ASC ";
		 $result = $this->BDConsulta($sql);
		 $disabled = ($disabled) ? "disabled" : "";
		 $num = $this->totalrows($result);
		 echo "<select name=\"$vartipoPais\" size=\"1\" $disabled class='lblForm'>";
	     $i=1;
		 while($fila=$this->NextRow($result)){
			        $selected = "";
			   if ($fila[0] == $val_doc) 
					 $selected = "selected";
					
					echo "<option $selected value=\"$fila[0]\">$fila[1]</option>";
					$i+=1;
			   }
			   echo "</select>";
				
	  }
	  
	  function Existe_Recepcionista($cod_id){
	             $sql="select * from recepcion_personal where doc_id ='$cod_id'";
				 $result = $this->BDConsulta($sql);
				 if($fila=$this->NextRow($result)){
				      $existe = 1;
				 }
				 else
				      $existe = 0;
				 return $existe;
           }
	  
	  function Grabar_Recepcionista($nomrecep, $apellparecep, $apellmarecep,$doc,$cargo){
	         $sql="INSERT INTO recepcion_personal (nomb_recep,apellpat_recep,apellmat_recep,doc_id,cargo) VALUES ('$nomrecep', '$apellparecep', '$apellmarecep','$doc','$cargo')";
			 $this->BDConsulta($sql);
	  	                  }
						  
	  function DevolverCodRecep(){
	        $sql="select max(cod_recep_per) as valormax from recepcion_personal ";
			$result = $this->BDConsulta($sql);
	    	if($fila=$this->NextRow($result)){$elultimo =$fila[0];}
	         return $elultimo;
	                  } 
					  
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////
	  
	  function Grabar_Area($nom_area, $descripcion){
	         $sql="INSERT INTO areas_administrativas ( nom_area,descripcion) VALUES ('$nom_area','$descripcion')";
			 $this->BDConsulta($sql);
	  	                  }
	  function DevolverCodArea(){
	        $sql="select max(cod_area) as valormax from areas_administrativas";
			$result = $this->BDConsulta($sql);
	    	if($fila=$this->NextRow($result)){$elultimo =$fila[0];}
	         return $elultimo;
	                  } 		  
//////////////////////////////////////////////////////////////////////////////////////////////////////////////

	function Existe_Empresa($cod_id){
	             $sql="select * from empresas where ruc_emp ='$cod_id'";
				 $result = $this->BDConsulta($sql);
				 if($fila=$this->NextRow($result)){
				      $existe = 1;
				 }
				 else
				      $existe = 0;
				 return $existe;
           }
	  
	  function Grabar_Empresa($razon_emp, $dir_emp, $ruc_emp,$contacto1_emp,$codpais, $ciudad){
	          $codigoemp = "E0".substr($razon_emp,0,3).substr($ruc_emp,0,2).substr($ruc_emp,-1,2);
			  $activo_emp  = '1';
	         $sql="INSERT INTO empresas (cod_emp,razon_emp,dir_emp,ruc_emp,contacto1_emp,cod_pais,ciudad_emp,activo_emp) VALUES ('$codigoemp', '$razon_emp', '$dir_emp', '$ruc_emp','$contacto1_emp','$codpais','$ciudad',$activo_emp)";
			 $this->BDConsulta($sql);
	  	                  }
						  
	  function DevolverCodEmpresa(){
	        $sql="select max(cod_emp) as valormax from empresas";
			$result = $this->BDConsulta($sql);
	    	if($fila=$this->NextRow($result)){$elultimo =$fila[0];}
	         return $elultimo;
	                  } 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////

	  function Grabar_Documento($tipo_doc,$descripcion){
	         $sql="INSERT INTO tipo_doc (tipo_doc,descripcion) VALUES ('$tipo_doc','$descripcion')";
			 $this->BDConsulta($sql);
	  	                  }
						  
	  function DevolverCodDoc(){
	        $sql="select max(cod_doc_rep) as valormax from tipo_doc ";
			$result = $this->BDConsulta($sql);
	    	if($fila=$this->NextRow($result)){$elultimo =$fila[0];}
	         return $elultimo;
	                  } 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////
   function grabar_documentos($fecha_recep,$fecha_doc,$cod_recep_per,$asunto,$cod_area,$persona_rem,$persona_dir,$cod_emp,$cod_doc_rep,$archivo,$importancia,$n_doc,$area){
           $sql ="INSERT INTO documento_recepcionado (fecha_recep,fecha_doc,cod_recep_per,asunto,cod_area,persona_rem, persona_dir,cod_emp,cod_doc_rep,archivo,importancia,n_documento,confidencial,area) VALUES('$fecha_recep','$fecha_doc','$cod_recep_per','$asunto','$cod_area','$persona_rem','$persona_dir','$cod_emp','$cod_doc_rep','$archivo','$importancia','$n_doc','0','$area')";
   $this->BDConsulta($sql);   
           }
	function ExisteArchivopdf($cod_recepcion)
	 {
		$sql="Select archivo from documento_recepcionado where cod_recepcion=$cod_recepcion ";
		$result=$this->BDConsulta($sql);
		while($fila=$this->NextRow($result))
		{
			if ($fila['archivo'])
			{
				$existe=1;
			}else{
				$existe=0;
			}
		}
		return $existe;
     }
    function update_documentos($fecha_recep,$fecha_doc,$cod_recep_per,$asunto,$cod_area,$persona_rem,$persona_dir,$cod_emp,$cod_doc_rep,$archivo,$importancia,$n_doc,$area,$cod_recepcion){
           $sql ="update documento_recepcionado set fecha_recep='$fecha_recep',fecha_doc='$fecha_doc',cod_recep_per='$cod_recep_per',asunto='$asunto',cod_area='$cod_area',persona_rem='$persona_rem', persona_dir='$persona_dir',cod_emp='$cod_emp',cod_doc_rep='$cod_doc_rep',archivo='$archivo',importancia='$importancia',n_documento='$n_doc',confidencial='0' where cod_recepcion=$cod_recepcion ";		   											                                                                                                                                                                                                                                                      
   $this->BDConsulta($sql);   
           }
	function update_documentos_condifencial($fecha_recep,$fecha_doc,$cod_recep_per,$asunto,$cod_area,$persona_rem,$persona_dir,$cod_emp,$cod_doc_rep,$archivo,$ext,$importancia,$n_doc,$clave,$area,$cod_recepcion){
			 $sql ="update documento_recepcionado set fecha_recep='$fecha_recep',fecha_doc='$fecha_doc',cod_recep_per='$cod_recep_per',asunto='$asunto',cod_area='$cod_area',persona_rem='$persona_rem', persona_dir='$persona_dir',cod_emp='$cod_emp',cod_doc_rep='$cod_doc_rep',archivo=concat(md5('$archivo'),'.','$ext'),importancia='$importancia',n_documento='$n_doc',clave=md5('$clave'),confidencial='1' where cod_recepcion=$cod_recepcion";			                                                                                                                                                                                                                                                            
			 $this->BDConsulta($sql);   
           }	
	function grabar_documentos_condifencial($fecha_recep,$fecha_doc,$cod_recep_per,$asunto,$cod_area,$persona_rem,$persona_dir,$cod_emp,$cod_doc_rep,$archivo,$ext,$importancia,$n_doc,$clave,$area){
			 $sql ="INSERT INTO documento_recepcionado (fecha_recep,fecha_doc,cod_recep_per,asunto,cod_area,persona_rem, persona_dir,cod_emp,cod_doc_rep,archivo,importancia,n_documento,clave,confidencial,area) VALUES('$fecha_recep','$fecha_doc','$cod_recep_per','$asunto','$cod_area','$persona_rem','$persona_dir','$cod_emp','$cod_doc_rep',concat(md5('$archivo'),'.','$ext'),'$importancia','$n_doc',md5('$clave'),'1','$area')";
			 $this->BDConsulta($sql);   
           }
	function ArchivosIgualesDoc($archivo)
	{
	         $sql= "select * from documento_recepcionado where archivo =md5('$archivo')";
	         $result = $this->BDConsulta($sql);
				 if($fila=$this->NextRow($result))
				 {
				      $existe = 1;
				 }
				 else
				      $existe = 0;
				 return $existe;   						 
	}
    //*********************************************************************************************
    function devolterTodolos_Documentos($area){
	                  $sql ="Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc 
					  from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod 
					  WHERE doc.cod_recep_per = precep.cod_recep_per 
					  and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp 
					  and doc.cod_doc_rep = tipod.cod_doc_rep  and doc.area='$area'
					  ORDER BY doc.fecha_recep ASC"; 
					  return $this->BDConsulta($sql);
	                         }
	//*********************************************************************************************
	
   function MostrarDocumentosxAreaDirigida($codarea){
			$sql = "Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod WHERE doc.cod_recep_per = precep.cod_recep_per and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp and doc.cod_doc_rep = tipod.cod_doc_rep and area.cod_area=$codarea ORDER BY doc.fecha_doc ASC";
		    return $this->BDConsulta($sql);}
			
   function MostrarDocumentosxAreaDirigidaxPag($codarea,$inicio,$registros){
			$sql = "Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod WHERE doc.cod_recep_per = precep.cod_recep_per and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp and doc.cod_doc_rep = tipod.cod_doc_rep and area.cod_area=$codarea ORDER BY doc.fecha_doc ASC LIMIT $inicio, $registros";
		    return $this->BDConsulta($sql);}
			
    function MostrarDocumentosxfechaRecepcion($fecha1,$fecha2){
			$sql = "Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc 
			from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod 
			WHERE doc.cod_recep_per = precep.cod_recep_per and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp 
			and doc.cod_doc_rep = tipod.cod_doc_rep
			and doc.fecha_recep between '$fecha1' and '$fecha2'
			ORDER BY doc.fecha_recep ASC";
		    return $this->BDConsulta($sql);
	                                                  }
													  
	 function MostrarDocumentosxfechaRecepcionxPag($fecha1,$fecha2,$inicio,$registros){
			$sql = "Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc 
			from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod 
			WHERE doc.cod_recep_per = precep.cod_recep_per and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp 
			and doc.cod_doc_rep = tipod.cod_doc_rep
			and doc.fecha_recep between '$fecha1' and '$fecha2'
			ORDER BY doc.fecha_recep ASC LIMIT $inicio, $registros";
		    return $this->BDConsulta($sql);
	                                                  }
													  
	function MostrarDocumentosxfechaDoc($fecha1,$fecha2){
			$sql = "Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc 
			from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod 
			WHERE doc.cod_recep_per = precep.cod_recep_per and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp 
			and doc.cod_doc_rep = tipod.cod_doc_rep 
			and doc.fecha_doc between '$fecha1' and '$fecha2'
			ORDER BY doc.fecha_recep ASC";
		    return $this->BDConsulta($sql);
	                                                  }		
	function MostrarDocumentosxfechaDocxPag($fecha1,$fecha2,$inicio,$registros){
			$sql = "Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc 
			from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod 
			WHERE doc.cod_recep_per = precep.cod_recep_per and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp 
			and doc.cod_doc_rep = tipod.cod_doc_rep 
			and doc.fecha_doc between '$fecha1' and '$fecha2'
			ORDER BY doc.fecha_recep ASC LIMIT $inicio, $registros";
		    return $this->BDConsulta($sql);
	                                                  }		
  function MostrarDocumentosxEmpresa($codemp){
			$sql = "Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc 
			from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod 
			WHERE doc.cod_recep_per = precep.cod_recep_per and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp 
			and doc.cod_doc_rep = tipod.cod_doc_rep 
			and doc.cod_emp = '$codemp'
			ORDER BY doc.fecha_recep ASC";
		    return $this->BDConsulta($sql);
	}						
function MostrarDocumentosxEmpresaxpagina($codemp,$inicio,$registros){
			$sql = "Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc 
			from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod 
			WHERE doc.cod_recep_per = precep.cod_recep_per and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp 
			and doc.cod_doc_rep = tipod.cod_doc_rep 
			and doc.cod_emp = '$codemp'
			ORDER BY doc.fecha_recep ASC LIMIT $inicio, $registros";
		    return $this->BDConsulta($sql);
	}						
	function MostrarDocumentosxTipoDoc($coddoc){
			$sql = "Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc 
			from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod 
			WHERE doc.cod_recep_per = precep.cod_recep_per and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp 
			and doc.cod_doc_rep = tipod.cod_doc_rep 
			and doc.cod_doc_rep = $coddoc
			ORDER BY doc.fecha_recep ASC";
		    return $this->BDConsulta($sql);
	}
	function MostrarDocumentosxTipoDocxpagina($coddoc,$inicio,$registros){
			$sql = "Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc 
			from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod 
			WHERE doc.cod_recep_per = precep.cod_recep_per and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp 
			and doc.cod_doc_rep = tipod.cod_doc_rep 
			and doc.cod_doc_rep = $coddoc
			ORDER BY doc.fecha_recep ASC LIMIT $inicio, $registros";
		    return $this->BDConsulta($sql);
	}														
	
	function MostrarDocumentosxImportan($impor){
			$sql = "Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc 
			from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod 
			WHERE doc.cod_recep_per = precep.cod_recep_per and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp 
			and doc.cod_doc_rep = tipod.cod_doc_rep 
			and doc.importancia = '$impor'
			ORDER BY doc.fecha_recep ASC";
		    return $this->BDConsulta($sql);
	}		
	function MostrarDocumentosxImportanxPag($impor,$inicio,$registros){
			$sql = "Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc 
			from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod 
			WHERE doc.cod_recep_per = precep.cod_recep_per and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp 
			and doc.cod_doc_rep = tipod.cod_doc_rep 
			and doc.importancia = '$impor'
			ORDER BY doc.fecha_recep ASC LIMIT $inicio, $registros";
		    return $this->BDConsulta($sql);
	}				
    function MostrarDocumentosxRemitente($perremi){
			$sql = "Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc 
			from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod 
			WHERE doc.cod_recep_per = precep.cod_recep_per and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp 
			and doc.cod_doc_rep = tipod.cod_doc_rep 
			and doc.persona_rem like '$perremi%'
			ORDER BY doc.fecha_recep ASC";
		    return $this->BDConsulta($sql);
	}		
	
	function MostrarDocumentosxRemitentexPag($perremi,$inicio,$registros){
			$sql = "Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc 
			from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod 
			WHERE doc.cod_recep_per = precep.cod_recep_per and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp 
			and doc.cod_doc_rep = tipod.cod_doc_rep 
			and doc.persona_rem like '$perremi%'
			ORDER BY doc.fecha_recep ASC LIMIT $inicio, $registros";
		    return $this->BDConsulta($sql);
	}				

function MostrarDocumentosxDirigida($perremi){
			$sql = "Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc 
			from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod 
			WHERE doc.cod_recep_per = precep.cod_recep_per and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp 
			and doc.cod_doc_rep = tipod.cod_doc_rep 
			and doc.persona_dir like '$perremi%'
			ORDER BY doc.fecha_recep ASC";
		    return $this->BDConsulta($sql);
  }		
 
 function MostrarDocumentosxDirigidaxPag($perremi,$inicio,$registros){
			$sql = "Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc 
			from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod 
			WHERE doc.cod_recep_per = precep.cod_recep_per and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp 
			and doc.cod_doc_rep = tipod.cod_doc_rep 
			and doc.persona_dir like '$perremi%'
			ORDER BY doc.fecha_recep ASC LIMIT $inicio, $registros";
		    return $this->BDConsulta($sql);
  }																																  
   function getDatosDocRecep($cod_recepcion)
   {
		$sql ="Select  doc.*, precep.nomb_recep, area.nom_area, emp.razon_emp, tipod.tipo_doc 
		from documento_recepcionado as doc, recepcion_personal as precep, areas_administrativas as area, empresas as emp, tipo_doc as tipod 
		WHERE doc.cod_recep_per = precep.cod_recep_per 
		and doc.cod_area = area.cod_area and doc.cod_emp = emp.cod_emp 
		and doc.cod_doc_rep = tipod.cod_doc_rep  and doc.cod_recepcion=$cod_recepcion
		ORDER BY doc.fecha_doc ASC"; 
		return $this->BDConsulta($sql);
   }
   function DevolverArchivoEncriptado(){
           $sql = "SELECT * FROM `documento_recepcionado` order by cod_recepcion DESC LIMIT 0, 1";
		   $result = $this->BDConsulta($sql);
		   if($fila = $this->NextRow($result)){ $arch = $fila['archivo']; }
	       return $arch;
				                 }
   function EsConfidencial($codarch){
           $sql = "select * FROM `documento_recepcionado` WHERE confidencial = '1' AND cod_recepcion = $codarch";
		   $result = $this->BDConsulta($sql);
				 if($fila=$this->NextRow($result)){
				      $esConfi = 1;
				 }
				 else
				      $esConfi = 0;
				
				 return $existe;      
						 
						  }
	function EsLaClave($codarch,$clave){
           $sql = "SELECT * FROM `documento_recepcionado` WHERE confidencial = '1' AND cod_recepcion = $codarch AND `clave` = '$clave'";
		   $result = $this->BDConsulta($sql);
				 if($fila=$this->NextRow($result)){
				      $esConfi = 1;
				 }
				 else
				      $esConfi = 0;
				
				 return $esConfi;      
						 
						  }
	function DevolverEncriptado($dato){
	      $sql="Select md5('$dato')";
	      $result = $this->BDConsulta($sql);
				 if($fila=$this->NextRow($result)){
				      $esConfi = $fila[0];
				 }
				 return $esConfi;      
								}
   }
?>